<?php
namespace app\bug\model;

use think\model\concern\SoftDelete;class WorkAction extends Base
{
//设置字段信息
	use SoftDelete;
    protected $schema = [
        'id'       =>'int',//
        'action_name'       =>'varchar',//功能名称
        'menu_id'       =>'int',//归属菜单页面id
        'belong'       =>'tinyint',//系统归属1采销2结算3数据统计
        'belong_action'       =>'text',//功能集合
        'apply_id'       =>'int',//申请人id
        'apply_name'       =>'varchar',//申请人名称
        'createTime'       =>'datetime',//
        'updateTime'       =>'datetime',//
        'delete_time'       =>'datetime',//

];
    protected $updateTime='updateTime';
    protected $createTime='createTime';
    protected $deleteTime = 'delete_time';
    
    public function GetBelongActionAttr($v){
    	return json_decode($v,true);
    }
    
    public function SetBelongActionAttr($v){
    	return json_encode($v,JSON_UNESCAPED_UNICODE);
    }
}